Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.util.signature
Class ClassOperationSignaturePair

    java.lang.Object
      kieker.common.util.signature.ClassOperationSignaturePair

    public class ClassOperationSignaturePair

extends Object

This class represents a pair containing the classname and the signature of an operation.

Since:
  1.5
Author:
  Andre van Hoorn, Jan Waller

Constructor Summary
`ClassOperationSignaturePair(String fqClassname, Signature signature)` Creates a new instance of this class using the given parameters.

Method Summary
`static String` | `createOperationSignatureString(String fqClassName, Signature signature)` Given a fully-qualified class name fqClassName (e.g., `a.b.c.D`) and a `Signature` (e.g., for operation `op1` with modifiers `public` and `static`, the return type `Boolean` , and the parameter types `Integer` and `Long`), the method returns an operation signature string (e.g., `public static Boolean a.b.c.D.op1(Integer, Long)`).
`boolean` | `equals(Object obj)`
`String` | `getFqClassname()` Delivers the fully qualified class name.
`String` | `getPackageName()` This method delivers the package name of the class.
`Signature` | `getSignature()` Delivers the signature.
`String` | `getSimpleClassname()` This method delivers a simplified version of the fully qualified class name.
`int` | `hashCode()`
`static ClassOperationSignaturePair` | `splitOperationSignatureStr(String operationSignatureStr)` Extracts an `ClassOperationSignaturePair` from an operation signature string (e.g., `public static Boolean a.b.c.D.op1(Integer, Long)`).
`static ClassOperationSignaturePair` | `splitOperationSignatureStr(String operationSignatureStr, boolean javaConstructor)` Split up an operation signature string and populate a class operation signature pair.
`String` | `toOperationSignatureString()` This method assembles an operation signature string from the current fields.
`String` | `toString()` Returns a String representation of this `ClassOperationSignaturePair` using the `createOperationSignatureString(String, Signature)` method.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassOperationSignaturePair

    public ClassOperationSignaturePair(String fqClassname,
                                       Signature signature)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `fqClassname` - The fully qualified name of the class.
    `signature` - The signature.

Method Detail

### getFqClassname

    public String getFqClassname()

  Delivers the fully qualified class name.

  Returns:
    the fqClassname

### getSignature

    public Signature getSignature()

  Delivers the signature.

  Returns:
    the signature

### getSimpleClassname

    public String getSimpleClassname()

  This method delivers a simplified version of the fully qualified class name. In other words: The string behind the last '.' of the fully qualified name (this is usually just the name of the class and nothing else).

  Returns:
    The simple class name.

### getPackageName

    public String getPackageName()

  This method delivers the package name of the class. In other words: This method returns everything before the last '.' of the fully qualified name.

  Returns:
    The package name.

### toOperationSignatureString

    public String toOperationSignatureString()

  This method assembles an operation signature string from the current fields.

  Returns:
    An operation signature string.

### splitOperationSignatureStr

    public static ClassOperationSignaturePair splitOperationSignatureStr(String operationSignatureStr)

  Extracts an `ClassOperationSignaturePair` from an operation signature string (e.g., `public static Boolean a.b.c.D.op1(Integer, Long)`). Modifier list, return type, and parameter list wrapped by parentheses are optional. But note that a return type must be given if one or more modifiers are present.

  Parameters:
    `operationSignatureStr` - The signature string.
  Returns:
    The `ClassOperationSignaturePair` extracted from the given string.

### splitOperationSignatureStr

    public static ClassOperationSignaturePair splitOperationSignatureStr(String operationSignatureStr,
                                                                         boolean javaConstructor)

  Split up an operation signature string and populate a class operation signature pair.

  Parameters:
    `operationSignatureStr` - the signature string
    `javaConstructor` - if true the string holds a constructor signature
  Returns:
    a ClassOperationSignaturePair

### createOperationSignatureString

    public static String createOperationSignatureString(String fqClassName,
                                                        Signature signature)

  Given a fully-qualified class name fqClassName (e.g., `a.b.c.D`) and a `Signature` (e.g., for operation `op1` with modifiers `public` and `static`, the return type `Boolean` , and the parameter types `Integer` and `Long`), the method returns an operation signature string (e.g., `public static Boolean a.b.c.D.op1(Integer, Long)`).

  Parameters:
    `fqClassName` - The fully qualified class name.
    `signature` - The signature string.
  Returns:
    An operation signature string as defined by the given parameters.

### toString

    public String toString()

  Returns a String representation of this `ClassOperationSignaturePair` using the `createOperationSignatureString(String, Signature)` method.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net